[P045]说明书翻译

get
https://connect.zhihuiya.com/basic-patent-data/description-data-translated
在体验中心中试用

可以通过输入patent_id或patent_number查询具体某条专利的说明书的翻译文本(支持中文、英文、日文任意一种)。

专利id和公开号两个参数必须要有一个,如果两个都存在,会优先使用专利id。 该接口支持批量请求,上限为100条,请求参数相互之间用英文,隔开。批量请求在进行流量/费用扣减的时候,会根据返回结果的成功条数进行多次扣减。

请求参数

此 API 接口支持的参数列表

名称类型示例描述
lang
stringen
翻译语言选择,支持cn、en、jp
patent_id
string1a47a70d-6b54-4709-a72a-ed552781fcac,7353c607-0594-4592-b99e-aea9f517de17
专利id
patent_number
stringCN101595528B
公开公告号
replace_by_related
integer<int32>0
当前专利说明书要求无法获取时,是否用它的同族专利的说明书要求替代,默认不替代: 1:是 0:否

响应结构

API 响应数据的结构说明

字段名类型示例描述
data
array-
响应数据
pn
stringUS11205304B2
公开(公告)号
patent_id
string718ead9c-4f3c-4674-8f5a-24e126827269
专利Id
pn_related
stringCN103106923A
替代专利的公开号(仅当使用同族专利的文本进行替代时提供)
description
stringtechnical field[0001] The present invention relates generally to semiconductor memory devices, and more particularly, to non-volatile memory device architectures having various block sizes.Background technique[0002] Memory devices are typically provided as internal, semiconductor, integrated circuits in computers or other electronic devices. There are many different types of memory, including random access memory (RAM), read only memory (ROM), dynamic random access memory (DRAM), synchronous dynamic random access memory (SDRAM), and flash memory.[0003] Flash memory devices have developed into a popular source of non-volatile memory for a wide range of electronic applications. Flash memory devices typically use one-transistor memory cells that allow for high memory density, high reliability, and low power consumption. A change in the threshold voltage of a cell, caused by programming of the charge storage device or trapping layer, or other physical phenomenon, determines the data value of each cell. Common uses for flash memory and other nonvolatile memory include personal computers, personal digital assistants (PDAs), digital cameras, digital media players, digital recorders, games, appliances, vehicles, wireless devices, cellular phones, and Removable memory modules, and the use of non-volatile memory continues to expand.[0004] Flash memory generally utilizes two basic architectures known as NOR flash and NAND flash. The design is derived from the logic used to read the device. In a NOR flash architecture, a column of memory cells is coupled in parallel with each memory cell coupled to a bit line. In a NAND flash architecture, a column of memory cells is coupled in series with only the first memory cell of the column coupled to a bit line.[0005] Flash memory and other non-volatile memory are often grouped into sectors called \"erase blocks.\" Each cell within an erase block can be selectively electrically programmed by altering the threshold voltage of individual cells from an initial state. However, the cells of an erase block are generally erased or restored to their original state in a single operation over the entire block. Any data in the erase block that needs to be held by the memory device must first be copied to another location or buffer before performing the erase operation...
说明书翻译
status
必填
booleanfalse
状态
error_msg
stringThe request parameter format is incorrect!
错误信息
error_code
必填
integer0
错误代码

成功响应示例

成功调用 API 的响应示例

JSON
{
  "data": [
    {
      "pn": "US11205304B2",
      "patent_id": "718ead9c-4f3c-4674-8f5a-24e126827269",
      "pn_related": "CN103106923A",
      "description": "technical field[0001] The present invention relates generally to semiconductor memory devices, and more particularly, to non-volatile memory device architectures having various block sizes.Background technique[0002] Memory devices are typically provided as internal, semiconductor, integrated circuits in computers or other electronic devices. There are many different types of memory, including random access memory (RAM), read only memory (ROM), dynamic random access memory (DRAM), synchronous dynamic random access memory (SDRAM), and flash memory.[0003] Flash memory devices have developed into a popular source of non-volatile memory for a wide range of electronic applications. Flash memory devices typically use one-transistor memory cells that allow for high memory density, high reliability, and low power consumption. A change in the threshold voltage of a cell, caused by programming of the charge storage device or trapping layer, or other physical phenomenon, determines the data value of each cell. Common uses for flash memory and other nonvolatile memory include personal computers, personal digital assistants (PDAs), digital cameras, digital media players, digital recorders, games, appliances, vehicles, wireless devices, cellular phones, and Removable memory modules, and the use of non-volatile memory continues to expand.[0004] Flash memory generally utilizes two basic architectures known as NOR flash and NAND flash. The design is derived from the logic used to read the device. In a NOR flash architecture, a column of memory cells is coupled in parallel with each memory cell coupled to a bit line. In a NAND flash architecture, a column of memory cells is coupled in series with only the first memory cell of the column coupled to a bit line.[0005] Flash memory and other non-volatile memory are often grouped into sectors called \\\"erase blocks.\\\" Each cell within an erase block can be selectively electrically programmed by altering the threshold voltage of individual cells from an initial state. However, the cells of an erase block are generally erased or restored to their original state in a single operation over the entire block. Any data in the erase block that needs to be held by the memory device must first be copied to another location or buffer before performing the erase operation..."
    }
  ],
  "status": true,
  "error_code": 0
}

错误码

此接口可能返回的错误码列表

业务错误码

错误码描述
68300004请求参数异常!
68300005查询Api失败!
68300006解析基本存取错误!
68300007存在错误的请求!
68300008服务中断异常,请稍后再试!
68300010文件不符合上传规范!

平台错误码

错误码描述
67200001API整体限流错误!
67200002用户调用请求限流限制错误!
67200003申请token的key和secret不正确或者状态错误!
67200004无权限或该接口的套餐已超过系统设置的上限!
67200005账户余额不足,调用失败!
67200006客户端已过期,调用失败!
67200007超过调用额度,调用失败!

HTTP 状态码

状态码描述
0请求成功
401Unauthorized
403Forbidden
404Not Found

性能指标

此接口的预期性能特征

正常响应时间

5000 ms

最大响应时间

10000 ms